Skip to main content
GET
List billing history
Minimum role required: Viewer

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

limit
integer<int64>
default:50

max items per page

Required range: 1 <= x <= 100
offset
integer<int64>
default:0

pagination offset

Required range: x >= 0

free-text search across invoice number/description

billing_cycle
string

filter by billing cycle

sort_by
string

column to sort by

sort_order
string

asc or desc

status
string

invoice status filter (lowercase)

date_from
string

RFC3339 lower bound for invoice_date

date_to
string

RFC3339 upper bound for invoice_date (with date_from = an exact calendar month)

plan_name
string

filter by plan name

phone_id
string

filter to invoices for a dedicated phone

Response

OK

One page of billing history items, using the API's standard list envelope (items, total, limit, offset).

items
object[] | null
required

Page of invoice records.

limit
integer<int64>
required

Page size used for this response.

offset
integer<int64>
required

Pagination offset used for this response.

total
integer<int64>
required

Total number of invoices matching the query.